www.immersionrc.com

Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: Vortex 150 Betaflight 3.4?

  1. #1

    Vortex 150 Betaflight 3.4?

    Hi, i want to know which Betaflight Target i have to use to update my Vortex 150. Betaflight 3.4 flies so great and i want to use it on my Vortex 150 as well. There are Betaflight 3.4 RC1 Hexes optimised for F3 processors available. So no excuse that the processor cant handle it.
    Thx
    Paul

  2. #2
    I see you get as much help as I do on here usually. If you ever come up with a suggestion or alternative to the stock out of date firmware please post back up if you can.

  3. #3
    I updated my vortex 150 from the stock betaflight to bf 3.2.2. I had no issues yet except tweaking my PID a little (note I had different props other than stock ones)


    Sent from my iPhone using Tapatalk Pro

  4. #4
    That's great because 3.2.2 is exactly the same as 3.4 which was the question. Thanks for all the great advice
    Quote Originally Posted by paperquad2015 View Post
    I updated my vortex 150 from the stock betaflight to bf 3.2.2. I had no issues yet except tweaking my PID a little (note I had different props other than stock ones)


    Sent from my iPhone using Tapatalk Pro
    Sent from my Pixel 2 XL using Tapatalk

  5. #5
    Quote Originally Posted by paperquad2015 View Post
    I updated my vortex 150 from the stock betaflight to bf 3.2.2. I had no issues yet except tweaking my PID a little (note I had different props other than stock ones)


    Sent from my iPhone using Tapatalk Pro
    hi!

    did you flash the performace edition of betaflight 3.5 for F3 boards?


    Seems the new betaflight3.5 canīt run with all the features in the old f3 boards like the vortexīs ones because the lack of memory to flash the firmware.


    There is a guy "spatzengr" has compiled a performace editions for F3 boards with all the best of the new features leaving behind some very old supports like ppm pwm and some stuff nobody uses anymore.


    https://github.com/spatzengr/Betafli...leases/tag/3.5


    here you have his youtube channel


    https://www.youtube.com/user/spatzengr


    Thanks Spatzengr for your job, all the credit is for you, you deserve

    I have updated mine today and flies very well. Better than before with defaults on immersionrc version. than down side is you canīt adjust the pids from the OSD because the wrong version of API.

  6. #6
    Quote Originally Posted by moriwaky View Post
    hi!

    did you flash the performace edition of betaflight 3.5 for F3 boards?


    Seems the new betaflight3.5 canīt run with all the features in the old f3 boards like the vortexīs ones because the lack of memory to flash the firmware.


    There is a guy "spatzengr" has compiled a performace editions for F3 boards with all the best of the new features leaving behind some very old supports like ppm pwm and some stuff nobody uses anymore.


    https://github.com/spatzengr/Betafli...leases/tag/3.5


    here you have his youtube channel


    https://www.youtube.com/user/spatzengr


    Thanks Spatzengr for your job, all the credit is for you, you deserve

    I have updated mine today and flies very well. Better than before with defaults on immersionrc version. than down side is you canīt adjust the pids from the OSD because the wrong version of API.
    you have obviously never messed with a vortex quad... thanks for the answer that means nothing to any of us

  7. #7
    Quote Originally Posted by venomoussvt View Post
    you have obviously never messed with a vortex quad... thanks for the answer that means nothing to any of us

    sorry man I donīt understand your answer, I just try to help. Maybe my answer doesnīt mean anything only for you, anyone with more knowledge will apreciate for sure.

  8. #8
    Quote Originally Posted by moriwaky View Post
    sorry man I donīt understand your answer, I just try to help. Maybe my answer doesnīt mean anything only for you, anyone with more knowledge will apreciate for sure.
    This post is about updating the vortex quads. You can't update them with betaflight. You can only load them with the custom versions from immersion. So you posting about uploading an unrelated quad with betaflight doesn't help anyone that would be in this thread.

    Sent from my Pixel 2 XL using Tapatalk

  9. #9
    I was right about your lack of knowledge... Yes you can update your vortex quad with a version of betaflight non tunned by immersionrc, and you can use the immersion updater to do it if you want. Just download the target IRCFUSIONF3.hex for the version of betaflight on the repository.

    As I said before because the lack of memory of the f3 borads you can enjoy all the new features of the betaflight 3.4 and 3.5. So if you install the official release you will not have the new dynamic filter or the relaxing iterm, that's it's because you need the performance edition of the betaflight 3.5.

    After installed on the vortex 150 you loose the ability to modify your pids through the OSD because you need a new version of the OSD to "talk" with the new version of the flight controller but the assistant works and the menu for the vtx and the camera works.

    So take your time and as you said me before...mess a little bit more with the vortex as I did


    Enviado desde mi ONEPLUS A5000 mediante Tapatalk
    Last edited by moriwaky; 25th August 2018 at 07:30 PM.

  10. #10
    Quote Originally Posted by moriwaky View Post
    I was right about your lack of knowledge... Yes you can update your vortex quad with a version of betaflight non tunned by immersionrc, and you can use the immersion updater to do it if you want. Just download the target IRCFUSIONF3.hex for the version of betaflight on the repository.

    As I said before because the lack of memory of the f3 borads you can enjoy all the new features of the betaflight 3.4 and 3.5. So if you install the official release you will not have the new dynamic filter or the relaxing iterm, that's it's because you need the performance edition of the betaflight 3.5.

    After installed on the vortex 150 you loose the ability to modify your pids through the OSD because you need a new version of the OSD to "talk" with the new version of the flight controller but the assistant works and the menu for the vtx and the camera works.

    So take your time and as you said me before...mess a little bit more with the vortex as I did


    Enviado desde mi ONEPLUS A5000 mediante Tapatalk
    You are correct you can use betaflight to update the the vortex


    Sent from my iPhone using Tapatalk Pro

Similar Threads

  1. Replies: 5
    Last Post: 14th December 2018, 09:38 AM
  2. Replies: 2
    Last Post: 12th May 2017, 10:04 AM
  3. Vortex 285 with betaflight
    By CrazyEyes in forum ImmersionRC Support
    Replies: 1
    Last Post: 20th February 2017, 02:24 PM
  4. Vortex 250 Pro Betaflight 2.5.3 ?
    By Prismwarp in forum Immersion Vortex Support
    Replies: 2
    Last Post: 30th October 2016, 11:24 AM
  5. Betaflight On the Vortex
    By Kruel in forum Immersion Vortex Support
    Replies: 4
    Last Post: 26th October 2015, 09:33 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •